import { Plugin, ToolbarItemType } from '../plugin';
import { Book } from './book';
export declare class LibraryPlugin extends Plugin {
    protected getToolbarItems(): Map<string, ToolbarItemType>;
    private _books;
    private _book?;
    get books(): Book[];
    set books(books: Book[]);
    get book(): Book | undefined;
    set book(book: Book | undefined);
    protected init(): void;
    protected setBookInformation(book?: Book): void;
}
